<?xml version="1.0" encoding="utf-8"?>
<!--
 * AGP Config
 * all AGP states definitions at here.
 -->
<Config>
    <Params name="dynamic_fps_config" value="1">
    <Param name="custom_ploy" >
        <Ploy  name ="1" isDynamic="0" isFactor="0" min="30" max="30"/>
        <Ploy  name ="2" isDynamic="0" isFactor="0" min="60" max="60"/>
        <Ploy  name ="3" isDynamic="0" isFactor="0" min="90" max="90"/>
        <Ploy  name ="4" isDynamic="0" isFactor="0" min="120" max="120"/>
        <Ploy  name ="9" isDynamic="1" isFactor="0" min="60" max="90"/>
        <Ploy  name ="10" isDynamic="1" isFactor="0" min="60" max="120"/>
        <Ploy  name ="21" isDynamic="1" isFactor="1" min="60" max="90"/>
        <Ploy  name ="22" isDynamic="1" isFactor="1" min="60" max="120"/>
    </Param>
        <Param name="setting_config">
            <setting id="0" value="2">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>
            </setting>
            <setting id="1" value="3">
                <switch name="app_default" value="9"/>
                <switch name="game_default" value="2"/>
                <switch name="app_type_list">
                    <type name="3" value="2"/>
                    <type name="8" value="9"/>
                    <type name="17" value="2"/>
                    <type name="21" value="2"/>
                    <type name="25" value="2"/>
                    <type name="30" value="2"/>
                    <type name="36" value="2"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.hihonor.android.launcher" value="9"/>
                    <pkg name="com.UCMobile" value="9"/>
                    <pkg name="com.huawei.himovie" value="9"/>
                    <pkg name="com.hihonor.youku.video" value="9"/>
                    <pkg name="com.hihonor.hnvideoplayer" value="9"/>
                    <pkg name="com.huawei.intelligent" value="2"/>
                    <pkg name="com.hihonor.hiboard" value="2"/>
                    <pkg name="com.hihonor.contacts" value="3"/>
                    <pkg name="com.example.android.apis" value="3"/>
                    <pkg name="com.antutu.ABenchMark" value="3"/>
                    <pkg name="com.primatelabs.geekbench5.corporate" value="3"/>
                    <pkg name="com.ludashi.benchmark" value="3"/>
                    <pkg name="com.futuremark.pcmark.android.benchmark" value="3"/>
                    <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="3"/>
                    <pkg name="com.duowan.kiwi" value="9"/>
                    <pkg name="com.yy.huyaassist4game" value="9"/>
                    <pkg name="air.tv.douyu.android" value="9"/>
                    <pkg name="com.douyu.rush" value="9"/> 
                    <pkg name="com.meelive.ingkee" value="9"/>
                    <pkg name="com.duowan.mobile" value="9"/>
                    <pkg name="com.tencent.qgame" value="9"/>
                    <pkg name="com.netease.cc" value="9"/>
                    <pkg name="com.huajiao" value="9"/>
                    <pkg name="tv.xiaoka.live" value="9"/>
                    <pkg name="com.tencent.now" value="9"/>
                </switch>

                <switch name="game_pkg_list">
                    <pkg name="com.carrot.iceworld" value="3"/>
                    <pkg name="com.turbochilli.rollingsky_cn.huawei" value="3"/>
                    <pkg name="com.turbochilli.rollingsky_cn.honor" value="3"/>
                    <pkg name="com.kiloo.subwaysurf" value="3"/>
                    <pkg name="com.wepie.snake.huawei" value="3"/>
                    <pkg name="com.wepie.snake.honor" value="3"/>
                    <pkg name="com.wepie.snake.tencent" value="3"/>
                    <pkg name="com.tencent.tmgp.speedmobile" value="3"/>
                    <pkg name="yuanqiqishi.game.huawei" value="3"/>
                    <pkg name="yuanqiqishi.game.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.yqqskp" value="3"/>
                    <pkg name="com.tencent.tmgp.yqqs" value="3"/>
                    <pkg name="com.mfp.jelly.huawei" value="3"/>
                    <pkg name="com.mfp.jelly.honor" value="3"/>
                    <pkg name="com.mfp.jelly.yingyongbao" value="3"/>
                    <pkg name="com.mfp.jelly.huawei" value="3"/>
                    <pkg name="com.mfp.jelly.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.rollingsky" value="3"/>
                    <pkg name="com.volvapps.ef5.x.huawei" value="3"/>
                    <pkg name="com.volvapps.ef5.x.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.ef5" value="3"/>
                    <pkg name="com.cmplay.dancingline.huawei" value="3"/>
                    <pkg name="com.cmplay.dancingline.honor" value="3"/>
                    <pkg name="com.yunbu.rehtona.huawei" value="3"/>
                    <pkg name="com.yunbu.rehtona.honor" value="3"/>
                    <pkg name="com.tencent.game.rhythmmaster" value="3"/>
                    <pkg name="com.m37.dldl.HUAWEI" value="3"/>
                    <pkg name="com.m37.dldl.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.dldlwyly" value="3"/>
                    <pkg name="com.ztgame.bob" value="2"/>
                    <pkg name="com.yingxiong.dftk.huawei" value="3"/>
                    <pkg name="com.yingxiong.dftk.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.dftkzjzg" value="3"/>
                    <pkg name="com.denachina.g1300209.huawei" value="3"/>
                    <pkg name="com.denachina.g1300209.honor" value="3"/>
                    <pkg name="com.denachina.g13002010.huawei" value="3"/>
                    <pkg name="com.denachina.g13002010.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.g1300209" value="3"/>
                    <pkg name="com.tencent.tmgp.g13002010" value="3"/>
                    <pkg name="com.tencent.tmgp.g13001230" value="3"/>
                    <pkg name="com.netease.wotb.huawei" value="3"/>
                    <pkg name="com.netease.wotb.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.yongyong.tksjsjz" value="3"/>
                    <pkg name="com.tencent.tmgp.carrot2" value="3"/>
                    <pkg name="com.tencent.tmgp.speedmobile" value="3"/>
                    <pkg name="com.tencent.tmgp.WePop" value="3"/>
                    <pkg name="com.cmcm.arrowio_cn.huawei" value="3"/>
                    <pkg name="com.cmcm.arrowio_cn.honor" value="3"/>
                    <pkg name="com.imangi.templerun2" value="3"/>
                    <pkg name="com.happyelements.AndroidClover.mob" value="3"/>
                    <pkg name="com.happyelements.AndroidClover.www" value="3"/>
                    <pkg name="com.cmge.dz.xhlmj.huawei" value="3"/>
                    <pkg name="com.cmge.dz.xhlmj.honor" value="3"/>
                    <pkg name="com.brianbaek.popstar" value="3"/>
                    <pkg name="com.gamestar.perfectpiano" value="3"/>
                    <pkg name="org.tinghood.TpsForMobile.huawei" value="3"/>
                    <pkg name="org.tinghood.TpsForMobile.honor" value="3"/>
                    <pkg name="com.zengame.hlmjhdj.HUAWEI" value="3"/>
                    <pkg name="com.zengame.hlmjhdj.honor" value="3"/>
                    <pkg name="com.zengame.zjscmj.p365you" value="3"/>
                    <pkg name="com.uqee.lying.maingamesnsfun" value="3"/>
                    <pkg name="com.pape.nuannew.self" value="3"/>
                    <pkg name="com.tencent.tmgp.qjnn" value="3"/>
                    <pkg name="com.pape.nuannew.uc" value="3"/>
                    <pkg name="com.carrot.carrotfantasy" value="3"/>
                    <pkg name="com.netease.mc.huawei" value="3"/>
                    <pkg name="com.netease.mc.honor" value="3"/>
                    <pkg name="com.netease.x19" value="3"/>
                    <pkg name="com.bf.sgs.hdexp.huawei" value="3"/>
                    <pkg name="com.bf.sgs.hdexp.honor" value="3"/>
                    <pkg name="bf.sgs.hdexp" value="3"/>
                    <pkg name="com.bf.sgs.hdexp" value="3"/>
                    <pkg name="com.fengguo.wpjz.huawei" value="3"/>
                    <pkg name="com.fengguo.wpjz.honor" value="3"/>
                    <pkg name="com.bairimeng.snake.huawei" value="3"/>
                    <pkg name="com.bairimeng.snake.honor" value="3"/>
                    <pkg name="com.noodlecake.altosadventure" value="3"/>
                    <pkg name="com.mobge.Oddmar" value="3"/>
                    <pkg name="com.idle.digging" value="3"/>
                    <pkg name="com.tencent.af" value="3"/>
                    <pkg name="com.feiyu.hcollege.huawei" value="3"/>
                    <pkg name="com.feiyu.hcollege.honor" value="3"/>
                    <pkg name="com.bilibili.zzzj" value="3"/>
                    <pkg name="com.fingersoft.hcr2.cn.noncmcc" value="3"/>
                    <pkg name="com.mpexternal.carmaintenancefactory.baidu" value="3"/>
                    <pkg name="com.martian.Room10.huawei" value="3"/>
                    <pkg name="com.martian.Room10.honor" value="3"/>
                    <pkg name="com.huawei.fastapp" value="3"/>
                    <pkg name="com.hihonor.quickengine" value="3"/>
                    <pkg name="com.hihonor.servicecenter" value="3"/>
                    <pkg name="com.hoolai.tsqt.huawei" value="3"/>
                    <pkg name="com.hoolai.tsqt.honor" value="3"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="3"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.pandadastudio.ninja3" value="3"/>
                    <pkg name="com.cmplay.tiles2_cn.huawei" value="3"/>
                    <pkg name="com.cmplay.tiles2_cn.honor" value="3"/>
                    <pkg name="com.cmplay.tiles2" value="3"/>
                </switch>
            </setting>

            <setting id="2" value="2">
                <switch name="app_default" value="2"/>
                <switch name="game_default" value="2"/>

                <switch name="app_type_list">
                    <type name="0" value="9"/>
                    <type name="7" value="9"/>
                    <type name="8" value="9"/>
                    <type name="14" value="9"/>
                    <type name="18" value="9"/>
                    <type name="20" value="9"/>
                    <type name="21" value="2"/>
                    <type name="26" value="9"/>
                    <type name="27" value="9"/>
                    <type name="28" value="9"/>
                    <type name="31" value="9"/>
                    <type name="32" value="9"/>
                </switch>

                <switch name="app_pkg_list">
                    <pkg name="com.hihonor.android.launcher" value="9"/>
                    <pkg name="com.UCMobile" value="9"/>
                    <pkg name="com.huawei.himovie" value="9"/>
                    <pkg name="com.hihonor.youku.video" value="9"/>
                    <pkg name="com.hihonor.hnvideoplayer" value="9"/>
                    <pkg name="com.android.settings" value="9"/>
                    <pkg name="com.huawei.systemmanager" value="9"/>
                    <pkg name="com.hihonor.systemmanager" value="9"/>
                    <pkg name="com.huawei.notepad" value="9"/>
                    <pkg name="com.hihonor.notepad" value="9"/>
                    <pkg name="com.huawei.mycenter" value="9"/>
                    <pkg name="com.huawei.fans" value="9"/>
                    <pkg name="com.huawei.contacts" value="9"/>
                    <pkg name="com.hihonor.contacts" value="9"/>
                    <pkg name="com.hihonor.photos" value="9"/>
                    <pkg name="com.hihonor.vmall" value="9"/>
                    <pkg name="cn.honor.qinxuan" value="9"/>
                    <pkg name="com.hicloud.android.clone" value="9"/>
                    <pkg name="com.hihonor.android.clone" value="9"/>
                    <pkg name="com.huawei.smarthome" value="9"/>
                    <pkg name="com.hihonor.magichome" value="9"/>
                    <pkg name="com.huawei.android.tips" value="9"/>
                    <pkg name="com.huawei.tipsove" value="9"/>
                    <pkg name="com.hihonor.tips" value="9"/>
                    <pkg name="com.android.browser" value="9"/>
                    <pkg name="com.huawei.browser" value="9"/>
                    <pkg name="com.hihonor.baidu.browser" value="9"/>
                    <pkg name="com.baidu.searchbox" value="9"/>
                    <pkg name="com.ss.android.article.news" value="9"/>
                    <pkg name="com.ss.android.article.lite" value="9"/>
                    <pkg name="com.tencent.news" value="9"/>
                    <pkg name="com.tencent.mtt" value="9"/>
                    <pkg name="com.example.android.apis" value="3"/>
                    <pkg name="com.sina.weibo" value="9"/>
                    <pkg name="com.antutu.ABenchMark" value="3"/>
                    <pkg name="com.primatelabs.geekbench5.corporate" value="3"/>
                    <pkg name="com.ludashi.benchmark" value="3"/>
                    <pkg name="com.futuremark.pcmark.android.benchmark" value="3"/>
                    <pkg name="net.kishonti.gfxbench.vulkan.v50000.corporate" value="3"/>
                    <pkg name="com.duowan.kiwi" value="9"/>
                    <pkg name="com.yy.huyaassist4game" value="9"/>
                    <pkg name="air.tv.douyu.android" value="9"/>
                    <pkg name="com.douyu.rush" value="9"/> 
                    <pkg name="com.meelive.ingkee" value="9"/>
                    <pkg name="com.duowan.mobile" value="9"/>
                    <pkg name="com.tencent.qgame" value="9"/>
                    <pkg name="com.netease.cc" value="9"/>
                    <pkg name="com.huajiao" value="9"/>
                    <pkg name="tv.xiaoka.live" value="9"/>
                    <pkg name="com.tencent.now" value="9"/>
                    <pkg name="com.hihonor.common_60_60.video" value="2"/>
                </switch>
                <switch name="game_pkg_list">
                    <pkg name="com.carrot.iceworld" value="3"/>
                    <pkg name="com.turbochilli.rollingsky_cn.huawei" value="3"/>
                    <pkg name="com.turbochilli.rollingsky_cn.honor" value="3"/>
                    <pkg name="com.kiloo.subwaysurf" value="3"/>
                    <pkg name="com.wepie.snake.huawei" value="3"/>
                    <pkg name="com.wepie.snake.honor" value="3"/>
                    <pkg name="com.wepie.snake.tencent" value="3"/>
                    <pkg name="yuanqiqishi.game.huawei" value="3"/>
                    <pkg name="yuanqiqishi.game.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.yqqskp" value="3"/>
                    <pkg name="com.tencent.tmgp.yqqs" value="3"/>
                    <pkg name="com.tencent.tmgp.rollingsky" value="3"/>
                    <pkg name="com.volvapps.ef5.x.huawei" value="3"/>
                    <pkg name="com.volvapps.ef5.x.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.ef5" value="3"/>
                    <pkg name="com.cmplay.dancingline.huawei" value="3"/>
                    <pkg name="com.cmplay.dancingline.honor" value="3"/>
                    <pkg name="com.yunbu.rehtona.huawei" value="3"/>
                    <pkg name="com.yunbu.rehtona.honor" value="3"/>
                    <pkg name="com.tencent.game.rhythmmaster" value="3"/>
                    <pkg name="com.tencent.tmgp.dldlwyly" value="3"/>
                    <pkg name="com.ztgame.bob" value="2"/>
                    <pkg name="com.yingxiong.dftk.huawei" value="3"/>
                    <pkg name="com.yingxiong.dftk.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.dftkzjzg" value="3"/>
                    <pkg name="com.netease.wotb.huawei" value="3"/>
                    <pkg name="com.netease.wotb.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.yongyong.tksjsjz" value="3"/>
                    <pkg name="com.tencent.tmgp.carrot2" value="3"/>
                    <pkg name="com.tencent.tmgp.speedmobile" value="3"/>
                    <pkg name="com.tencent.tmgp.WePop" value="3"/>
                    <pkg name="com.cmcm.arrowio_cn.huawei" value="3"/>
                    <pkg name="com.cmcm.arrowio_cn.honor" value="3"/>
                    <pkg name="com.imangi.templerun2" value="3"/>
                    <pkg name="org.tinghood.TpsForMobile.huawei" value="3"/>
                    <pkg name="org.tinghood.TpsForMobile.honor" value="3"/>
                    <pkg name="com.uqee.lying.maingamesnsfun" value="3"/>
                    <pkg name="com.pape.nuannew.self" value="3"/>
                    <pkg name="com.tencent.tmgp.qjnn" value="3"/>
                    <pkg name="com.pape.nuannew.uc" value="3"/>
                    <pkg name="com.carrot.carrotfantasy" value="3"/>
                    <pkg name="com.netease.mc.huawei" value="3"/>
                    <pkg name="com.netease.mc.honor" value="3"/>
                    <pkg name="com.netease.x19" value="3"/>
                    <pkg name="com.fengguo.wpjz.huawei" value="3"/>
                    <pkg name="com.fengguo.wpjz.honor" value="3"/>
                    <pkg name="com.bairimeng.snake.huawei" value="3"/>
                    <pkg name="com.bairimeng.snake.honor" value="3"/>
                    <pkg name="com.noodlecake.altosadventure" value="3"/>
                    <pkg name="com.mobge.Oddmar" value="3"/>
                    <pkg name="com.idle.digging" value="3"/>
                    <pkg name="com.tencent.af" value="3"/>
                    <pkg name="com.feiyu.hcollege.huawei" value="3"/>
                    <pkg name="com.feiyu.hcollege.honor" value="3"/>
                    <pkg name="com.bilibili.zzzj" value="3"/>
                    <pkg name="com.fingersoft.hcr2.cn.noncmcc" value="3"/>
                    <pkg name="com.mpexternal.carmaintenancefactory.baidu" value="3"/>
                    <pkg name="com.martian.Room10.huawei" value="3"/>
                    <pkg name="com.martian.Room10.honor" value="3"/>
                    <pkg name="com.huawei.fastapp" value="3"/>
                    <pkg name="com.hihonor.quickengine" value="3"/>
                    <pkg name="com.hihonor.servicecenter" value="3"/>
                    <pkg name="com.hoolai.tsqt.huawei" value="3"/>
                    <pkg name="com.hoolai.tsqt.honor" value="3"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.huawei" value="3"/>
                    <pkg name="com.pandadastudio.ninjamustdie3.honor" value="3"/>
                    <pkg name="com.tencent.tmgp.pandadastudio.ninja3" value="3"/>
                </switch>
            </setting>

        </Param>
        <Param name="setting_refresh_default_id" value="2"/>
        <Param name="support_power_mode_switch" value="1"/>
        <Param name="support_cota_update_switch" value="0"/>
        <Param name="support_early_idle_switch" value="1"/>
        <Param name="support_pointer_location_switch" value="1"/>
        <Param name="support_display_hotplug_switch" value="1"/>
        <Param name="support_virtual_display_switch" value="1"/>
        <Param name="support_wechat_video_scene_switch" value="1"/>
        <Param name="support_navi_motion_switch" value="1"/>
        <Param name="support_cts_test_switch" value="1"/>
        <Param name="support_fingerprint_switch" value="1" code="2"/>
        <Param name="support_news_video_drop_switch" value="1"/>
        <Param name="multi_app_lcd_freq_switch" value="1"/>
        <Param name="launcher_scene_delay_config" value="300"/>
        <Param name="launcher_to_app_change_frep_delay_config" value="1">
            <pkg name="com.UCMobile" value="500"/>
            <pkg name="com.hihonor.camera" value="500"/>
        </Param>

        <Param name="SF_composition_config">
            <sf_param name="switch" value="0"/>
            <sf_param name="sf_accum_time" value="5"/>
            <sf_param name="sf_accum_count" value="20"/>
            <sf_param name="app_penalty_time" value="60"/>
            <sf_param name="app_penalty_count" value="1"/>
        </Param>

        <Param name="support_low_refresh_rate" value="0"/>
        <Param name="app_dynamic_strategy_config">
            <config_param name="max_wait_idle_period" value="3000"/>
            <config_param name="check_refresh_idle_period" value="200"/>
            <config_param name="refresh_idle_period" value="200"/>
        </Param>

        <Param name="intelligent_lowfps_config">
            <config_param name="intelligent_lowfps_switch" value="1"/>
        </Param>

        <!-- for game -->
        <Param name="game_fps_mode_switch" value="0"/>
        <Param name="game_main_layers_config">
        </Param>

        <!-- high freq slide model -->
        <Param name="high_freq_smart_slide_model_config">
            <slide_param name="switch" value="1"/>
            <slide_param name="low_velocity_friction_gain" value="0.6"/>
            <slide_param name="low_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="medium_velocity_level" value="5000.0"/>
            <slide_param name="medium_velocity_friction_gain" value="0.6"/>
            <slide_param name="medium_velocity_init_velocity_gain" value="0.8"/>
            <slide_param name="high_velocity_level" value="15000.0"/>
            <slide_param name="high_velocity_friction_gain" value="0.6"/>
            <slide_param name="high_velocity_init_velocity_gain" value="0.8"/>
        </Param>

        <!-- partical compose -->
        <Param name="partical_compose_threshold_config">
            <cfg_param name="switch" value="0"/>
            <cfg_param name="high_freq_compose_threshold" value="6"/>
        </Param>
    </Params>
    <Params name="magic_agp_render_config">
        <render_param name="agp_render_switch" value="0"/>
        <render_param name="async_switch" value="1"/>
        <render_param name="async_all" value="0"/>
        <render_param name="async_virtual_display" value="1"/>
        <render_param name="async_hisight_pc" value="1"/>
        <render_param name="async_hisight_display" value="0"/>
        <render_param name="async_blur_layer" value="1"/>
        <render_param name="async_corner_radius" value="1"/>
        <render_param name="async_other" value="1"/>
        <render_param name="hfbc_switch" value="1"/>
        <render_param name="hfbc_virtual" value="0"/>
    </Params>
    <Params name="magic_charging_animation_3d_config">
        <animation_param name="switch" value="1"/>
    </Params>
    <Params name="ui_first_features">
        <Param name="launcher_smartslider_optimization_enable" value="1"/>
        <Param name="listview_smartslider_optimization_enable" value="0"/>
        <Param name="systemui_fastview_fast_response_enable" value="1"/>
        <Param name="settings_fastview_fast_response_enable" value="1"/>
    </Params>
    <Params name="itouch_adaptive_vsyncoffset_features">
        <Param name="vsyncoffset_switch" value="0"/>
    </Params>
</Config>
